#pragma once

#include <memory>

namespace mt
{
    class Screen;
}

class IPlatformWindow
{
public:
    virtual ~IPlatformWindow() = default;

    virtual void show() const = 0;

    virtual void map() const = 0;

    virtual void clear() const = 0;

    virtual void paint(mt::Screen* screen) const = 0;
};

using IPlatformWindowPtr = std::unique_ptr<IPlatformWindow>;
